# Do Not Interact Types

This object allows you to create custom `Do Not Interact Types` which will create
`Do Not Interact` instances automatically when case conditions are met. For example,
when a new `bankruptcy` case is `initiated`, the system can automatically create `Do Not Interact`
to block debt collection related interactions for 30 calendar days.
The conditions are set in the following way. There are two triggers and one condition fields that you can configure:
1. `onStatus` - triggered based on the case status.
2. `onOutcome` - triggered based on the case outcome.
3. `onCondition` - condition(s) based on case fields values.

You must provide at least one trigger, `onStatus` or `onOutcome`, when creating a new `Do Not Interact Type` object.
Few examples:
- `onStatus=processing`, `onOutcome=null`, `onCondition=null` - the `Do Not Interact`
instance will be created when the case status is changed to `processing`.
- `onStatus=completed`, `onOutcome=approved`, `onCondition=null` - the `Do Not Interact`
instance will be created when the case status is changed to `completed` and the outcome is `approved`.

`Do Not Interact Types` must be associated with `Case Types`. A `Do Not Interact Type` object can
be associated with multiple `Case Types`.

 - [GET /do-not-interact-types](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_get_all.md)
 - [POST /do-not-interact-types](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_create.md)
 - [GET /do-not-interact-types/{doNotInteractTypeId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_get_by_id.md)
 - [PUT /do-not-interact-types/{doNotInteractTypeId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact-types/peach.cases.events.handlers.do_not_interact_type.do_not_interact_type_update.md): Change the triggering conditions and settings of a `draft` type, or update the `status` of an `active` type to `deprecated`. Doing the later will create a new `draft` version of the configuration unle
